Subject: Re: [netconf] Adoption-suitability for draft-wang-netconf-bulk-subscribed-notifications

From: Qin Wu <[email-masked]>
Date: Tue, 11 Aug 2020 02:11:31 +0000

发件人: netconf [mailto:[email-masked]] 代表 Andy Bierman
发送时间: 2020年8月11日 3:40
收件人: Kent Watsen <[email-masked]>
抄送: [email-masked]
主题: Re: [netconf] Adoption-suitability for draft-wang-netconf-bulk-subscribed-notifications

Hi,

I am trying to understand the problem statement in this draft.
It seems to be that RFC 8639 does not provide enough configuration capability
to specify how notifications from different subscriptions should be bundled
together into a single message.

[Qin]:Correct, I think it is important to define criteria to classify subscription and indicate to the server which specific subscription associated with the notification should be bundled together
before bundling multiple notification in a single transport message. That’s why we proposed two models, i.e., bulk subscription model bulk notification model,
bulk subscription model define additional subscription configuration (e.g., bundle-latency, bundle-size)and one new RPC to indicate the sever which subscription can be bundled together and which not.
The second model is bulk notification model, which is used by the server to indicate to the client about the group id and compression mode.
There is no discussion of why bundling
notifications needs to be standardized, or what benefits it provides over
the current RFC 5277 notification message definition.
[Qin]: I think the second model on bulk notification is debatable, in our opinion, it is no harm to have this model to tell
The client about the group-id for several subscription to be bundled together, but it may be redundant with the current RFC5277. Through offline discussion, Eric also expressed the similar opinion on the second model.
If this is agreement, we can remove the second model.
This approach seems to add a lot of complexity without adding much benefit.

Andy

On Wed, Aug 5, 2020 at 3:19 PM Kent Watsen <[email-masked]<mailto:[email-masked]>> wrote:

NETCONF WG,

Per the previous email sent moments ago, the chairs would like to solicit input on the following draft:

   Title: Bulk Subscription to YANG Event Notification
   Link: https://tools.ietf.org/html/draft-wang-netconf-bulk-subscribed-notifications
   Abstract:
      This document defines a YANG data model and associated mechanism that
      allows subscriber applications to bulk subscribe to publishers' event
      streams based on bundle group information such as bundle size and
      bundle latency.  This allows the publishers to report multiple
      notifications in a single bundling message.

In particular, please discuss adoption-suitability as it regards to the following questions:

    1) is the problem important for the NETCONF WG to solve?
    2) is the draft a suitable basis for the work?

PS: this message is itself not an adoption poll, but rather an attempt to gauge interest/support for a potential future adoption poll.

NETCONF Chairs
_______________________________________________
netconf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netconf